Subject: Re: bug#16760: Ellipses lose all decorative features when 'invisible' overlay starts at a point where underlying text changes its 'face' property.

From: Stephen Berman <[email-masked]>
Date: Sun, 07 Feb 2016 23:34:56 +0100

On Sun, 07 Feb 2016 23:24:37 +0100 Marcin Borkowski <[email-masked]> wrote:

> On 2016-02-07, at 22:01, Eli Zaretskii <[email-masked]> wrote:
>
>>> From: Marcin Borkowski <[email-masked]>
>>> Cc: [email-masked], [email-masked]
>>> Date: Sun, 07 Feb 2016 21:43:37 +0100
>>> 
>>> > I think you are wrong, the original bug has been fixed (in Emacs 24.4,
>>> > AFAICT).  If you disagree, please show a screenshot of what you see,
>>> > and please explain what is wrong with that.  Because I cannot see in
>>> > 25.0.90 anything of what the original report describes: the color of
>>> > the ellipsis in the second line and its scaling are correct.
>>> 
>>> I attach the screenshot.  IIUC, the ellipsis on the middle line should
>>> at least have the size of the surrounding text, and most probably be
>>> green.
>>> 
>>> The screenshot was taken with GNU Emacs 25.1.50.1, started as emacs -Q.
>>
>> Strange.  Is that current master?  I cannot reproduce this, neither on
>> master nor on emacs-25.  Here, the dots on the 2nd line are of correct
>> size and their color is red.
>
> Magit says: eb0643c master.
>
>> If your builds are current, then I guess this is X specific.
>
> Maybe.  I'm on Fedora 22, with LXDE/Openbox, if that does matter.  In
> a few days (or weeks) I'll have access to another box with Arch; I'll
> try to test it there.

With the code you posted, I get what Eli described, not what your
screenshot shows.  My system:

In GNU Emacs 25.0.50.17 (x86_64-suse-linux-gnu, GTK+ Version 3.14.15)
 of 2016-01-28
Repository revision: 8e5046a6e504c2eba349407251b3e2967ff1cfa9
Windowing system distributor 'The X.Org Foundation', version 11.0.11601000
System Description:	openSUSE 13.2 (Harlequin) (x86_64)
Configured using:
 'configure --with-xwidgets 'CFLAGS=-Og -g3''
Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11
XWIDGETS

Also, DE is KDE 4.14.9.

Steve Berman